## net.sf.saxon.instruct
Class ParameterSet

    java.lang.Object
      net.sf.saxon.instruct.ParameterSet

public class ParameterSet
extends java.lang.Object

A ParameterSet is a set of parameters supplied when calling a template. It is a collection of name-value pairs, the names being represented by numeric references to the NamePool

Field Summary
`static ParameterSet` `EMPTY_PARAMETER_SET`

Constructor Summary
`ParameterSet()` Create an empty parameter set
`ParameterSet(int capacity)` Create a parameter set specifying the initial capacity
`ParameterSet(ParameterSet existing, int extra)` Create a parameter set as a copy of an existing parameter set

Method Summary
`void` `clear()` Clear all values
`ValueRepresentation` `get(int fingerprint)` Get a parameter
`void` `put(int fingerprint, ValueRepresentation value)` Add a parameter to the ParameterSet

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_PARAMETER_SET

    public static ParameterSet EMPTY_PARAMETER_SET

Constructor Detail

### ParameterSet

    public ParameterSet()

  Create an empty parameter set

### ParameterSet

    public ParameterSet(int capacity)

  Create a parameter set specifying the initial capacity

### ParameterSet

    public ParameterSet(ParameterSet existing,
                        int extra)

  Create a parameter set as a copy of an existing parameter set

Method Detail

### put

    public void put(int fingerprint,
                    ValueRepresentation value)

  Add a parameter to the ParameterSet

  Parameters:
    `fingerprint` - The fingerprint of the parameter name.
    `value` - The value of the parameter

### get

    public ValueRepresentation get(int fingerprint)

  Get a parameter

  Parameters:
    `fingerprint` - The fingerprint of the name.
  Returns:
    The value of the parameter, or null if not defined

### clear

    public void clear()

  Clear all values